Create Plot Point
POST /api/creative/plot/plotlines/{plotline_id}/points
POST
/api/creative/plot/plotlines/{plotline_id}/points
Create a plot point within a plotline.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” plotline_id
required
Plotline Id
string
Request Body required
Section titled “Request Body required ” PlotPointCreateRequest
Create a new plot point.
object
title
required
Title
Point title
string
description
Description
Point description
string
pointType
Pointtype
Beat type
string
intensity
Intensity
Arc intensity 0-100
integer
status
Status
Drafting status
string
notes
Notes
Private author notes
string
Responses
Section titled “ Responses ”Successful Response
PlotPointResponse
Single plot point response wrapper.
object
status
required
Status
Operation status
string
data
required
PlotPoint
The plot point
object
id
required
Id
Plot point UUID
string
plotlineId
required
Plotlineid
Parent plotline
string
title
required
Title
Point title
string
description
Description
Point description
string
pointType
Pointtype
Beat type
string
intensity
Intensity
Arc intensity 0-100
integer
sortOrder
Sortorder
Sort position
integer
status
Status
Drafting status
string
notes
Notes
Private author notes
string
createdAt
required
Createdat
Created timestamp (ms)
integer
modifiedAt
required
Modifiedat
Modified timestamp (ms)
integer
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context